$ErrorActionPreference = 'Stop';

$packageName = 'Fitbit.Connect'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cache.fitbit.com/FitbitConnect/FitbitConnect-v2.0.2.7066-2018-07-25.exe'
$url64      = 'http://cache.fitbit.com/FitbitConnect/FitbitConnect-v2.0.2.7066-2018-07-25.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Fitbit.Connect*'

  checksum      = 'ba496a64351e00163de3a4d96ad4b17e1cf94f0e962dc3f1fd7062f3cda7faa2'
  checksumType  = 'sha256'
  checksum64    = 'ba496a64351e00163de3a4d96ad4b17e1cf94f0e962dc3f1fd7062f3cda7faa2'
  checksumType64= 'sha256'

  silentArgs    = ""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
